// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wClientView:
//   The client view.


// -------------------------------------
// Includes
//
#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wMenuPane.h"
#include "p4wClientView.h"

#include "p4wClientPane.h"



//
// -------------------------------------
// Constructors and destructor.
//
p4wClientView::p4wClientView(p4wRequest & Request, int switchReq)
	: p4wView(Request), fSwitchRequest(switchReq)
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Client Detail" );
	fFullTitle << "Client " << fRequest.GetURL();
}

p4wClientView::~p4wClientView()
{
}



// -------------------------------------
// Control item render functions.
//

void p4wClientView::RenderContent()
{
	//
	// Send the client view pane.
	p4wClientPane clientPane(*this, fRequest, 0);
	if( fRequest.GetURL().Length() == 0 ) {
		const char *clientPaneArgs[] = { "-o" };
		fRequest.p4("client", 1, clientPaneArgs, &clientPane);
	} else {
		const char *clientPaneArgs[] = { "-o", fRequest.GetURL().Text() };
		fRequest.p4("client", 2, clientPaneArgs, &clientPane);
	}
	
	//
	// Wait for the pane to draw.
	fRequest.p4Wait();
}

void p4wClientView::RenderMenu()
{
	//
	// Draw the menu bar
	p4wMenuPane menuPane(*this, fRequest, "client");
	menuPane.Render(NULL);
}
