// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wRunView:
//   A p4wView for the 'run' button.  Basically, utility methods for
//   handling the posted form full of data.

#ifndef p4wRunView_H
#define p4wRunView_H


//
// Includes
#include "p4wView.h"


//
// p4wRunView class
class p4wRunView : public p4wView {

public:
	//
	// Class constants

public:
	//
	// Constructors and destructor.
			p4wRunView(p4wRequest & Request);
	virtual		~p4wRunView();
	
	// Control item render functions.
	virtual void		RenderMenu();
	
	virtual void	Render();

protected:
	//
	// Methods.

	void		ArgAndTitle(const StrRef &a);
	void		ArgAndTitle(char *a) { ArgAndTitle(StrRef(a)); }

	int		ProcessForm();
	int 		AddFileArgs();
	StrBuf		GetFileArg();
	int		GetDirList(StrPtr &dir, int recurse);
	
	void		RenderError(char *error);
	void		RedisplayForm();
	void		AddJobFix();
	
	void		ProcessFormAction();
	
	void		GetFileType(StrBuf &fileType);

	// 
	// Members.
	Spec		spec;
	StrBufDict 	specTable;

	StrBuf 		title;
	StrBuf 		argBuf;
	
	int		fAddJobFix;
	int		fRedisplay;
	AllCommands	fAc;
	
	int		fProtectP4Chars;

};

#endif // p4wRunView_H

